getCloudMysqlEventHistoryList

Prev Next

Available in VPC

Get the event history list for a Cloud DB for MySQL instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmysql/v2/getCloudMysqlEventHistoryList

Request headers

For information about the headers common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for MySQL server instance to view
  • Check through getRegionList
  • First Region of the getRegionList query result (default)
cloudMysqlServerName String Optional Filter by Cloud DB for MySQL server name
startDate String Required Query start date
  • yyyy-MM-dd HH:mm:ss format
  • <e.g.> 2024-01-01 00:00:00
endDate String Required Query end date
  • yyyy-MM-dd HH:mm:ss format
  • <e.g.> 2024-12-31 23:59:59
pageNo Integer Optional Page numbers in paged results
  • Page the result values using pageNo and pageSize
  • 0 (minimum)
  • 0 (default)
pageSize Integer Optional Number of results to display on a page
  • Page the result values using pageNo and pageSize
  • 1 (minimum)
  • 20 (default)
i
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlEventHistoryList
?regionCode=KR
&cloudMysqlServerName=abcd
&startDate=2024-08-13 17:00:00
&endDate=2024-08-13 18:00:00
&pageNo=0
&pageSize=10' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudMysqlEventHistoryList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see Cloud DB for MySQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "getCloudMysqlEventHistoryListResponse": {
        "totalRows": 2,
        "cloudMysqlEventHistoryList": [
            {
                "cloudMysqlInstanceNo": "****890",
                "cloudMysqlServerInstanceNo": "****891",
                "cloudMysqlServerName": "abcd-001-****",
                "eventTime": "2024-08-13 17:10:00",
                "eventType": "DB Server",
                "eventName": "DB",
                "eventContent": "DB start",
                "clientIp": "10.x.x.x"
            },
            {
                "cloudMysqlInstanceNo": "****890",
                "cloudMysqlServerInstanceNo": "****891",
                "cloudMysqlServerName": "abcd-001-****",
                "eventTime": "2024-08-13 17:20:00",
                "eventType": "DB Server",
                "eventName": "DB",
                "eventContent": "Change Spec MySQL Completed",
                "clientIp": "10.x.x.x"
            }
        ],
        "requestId": "36cc2f85-****-****-****-5d2511df4e45",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<cloudMysqlEventHistoryList>
    <requestId>36cc2f85-****-****-****-5d2511df4e45</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>2</totalRows>
    <cloudMysqlEventHistoryList>
        <CloudMysqlEventHistory>
            <cloudMysqlInstanceNo>****890</cloudMysqlInstanceNo>
            <cloudMysqlServerInstanceNo>****891</cloudMysqlServerInstanceNo>
            <cloudMysqlServerName>abcd-001-****</cloudMysqlServerName>
            <eventTime>2024-08-13 17:10:00</eventTime>
            <eventType>DB Server</eventType>
            <eventName>DB</eventName>
            <eventContent>DB start</eventContent>
            <clientIp>10.x.x.x</clientIp>
        </CloudMysqlEventHistory>
        <CloudMysqlEventHistory>
            <cloudMysqlInstanceNo>****890</cloudMysqlInstanceNo>
            <cloudMysqlServerInstanceNo>****891</cloudMysqlServerInstanceNo>
            <cloudMysqlServerName>abcd-001-****</cloudMysqlServerName>
            <eventTime>2024-08-13 17:10:00</eventTime>
            <eventType>DB Server</eventType>
            <eventName>DB</eventName>
            <eventContent>Change Spec MySQL Completed</eventContent>
            <clientIp>10.x.x.x</clientIp>
        </CloudMysqlEventHistory>
    </cloudMysqlEventHistoryList>
</cloudMysqlEventHistoryList>